Name:            scanbuttond
Version:         0.2.3
Release:         9%{?dist}
Summary:         Scanner Button tools to SANE

Group:           System Environment/Libraries
License:         GPL
URL:             http://scanbuttond.sf.net
Source0:         http://easynews.dl.sourceforge.net/sourceforge/scanbuttond/%{name}-%{version}.tar.gz
Source1:         scanbuttond.init
Source2:         initscanner.sh
Source3:         buttonpressed.sh
Patch0:          scanbuttond-0.2.3.diff
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun):/sbin/service
Requires(post):  /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:   libusb-devel
#Requires:       sane-backends evolution cups

%description
Modern scanners usually have several front panel buttons which are intended to
trigger certain actions like copying, faxing or mailing the scanned document.
This daemon monitors the scanner's buttons and runs a shell script whenever one
of these buttons has been pressed. Because it is accessing the scanner directly
via libusb, there should be no conflicts with SANE or other scanner drivers:
scanbuttond simply won't touch the scanner hardware while you are using SANE.

%prep
%setup -q
%patch0 -p1

%build
%configure --libdir=%{_libdir}/scanbuttond
make  %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -rf %{buildroot}%{_libdir}/scanbuttond/*.{la,so}
mkdir -p -m 755 %{buildroot}%{_initrddir}
install -c -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/scanbuttond
rm -rf %{buildroot}%{_sysconfdir}/scanbuttond/*.sh
install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/scanbuttond/
install -m 755 %{SOURCE3} %{buildroot}%{_sysconfdir}/scanbuttond/

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add scanbuttond


%postun
if [ "$1" -ge "1" ]; then
    /sbin/service scanbuttond condrestart >/dev/null 2>&1 || :
fi

%preun
if [ $1 = 0 ]; then
 /sbin/service scanbuttond stop > /dev/null 2>&1 || :
 /sbin/chkconfig --del scanbuttond
fi

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog
%{_bindir}/scanbuttond
%{_libdir}/scanbuttond
%config(noreplace) %{_sysconfdir}/scanbuttond/meta.conf
%{_sysconfdir}/scanbuttond
%{_initrddir}/scanbuttond


%changelog
* Mon Oct 16 2006 Parag Nemade <panemade@gmail.com>- 0.2.3-9
- Got CVS tagging problem as usual to me
- so increasing release number

* Mon Oct 16 2006 Parag Nemade <panemade@gmail.com>- 0.2.3-8
- corrected scanbuttond.init which i hacked from lisa daemon 

* Thu Oct 12 2006 Parag Nemade <panemade@gmail.com>- 0.2.3-7
- missing directory ownership Fixed

* Wed Oct 11 2006 Parag Nemade <panemade@gmail.com>- 0.2.3-6
- Move libscanbtnd*so to %%{_libdir}/scanbuttond.
- Let the app dlopen *.so.1 instead of *.so.

* Tue Oct 10 2006 Parag Nemade <panemade@gmail.com>- 0.2.3-5
- wrong preun call for ldconfig fix to postun

* Tue Oct 05 2006 Parag Nemade <panemade@gmail.com>- 0.2.3-4
- Some SPEC file Fixes

* Tue Oct 03 2006 Parag Nemade <panemade@gmail.com>- 0.2.3-3
- Chmod'd Source1-3 644, to avoid rpmlint error on SRPM
- Fixed error that installs Source1 *in* %%{_initrddir}/scannerbuttond/
- Renamed Source1 to scanbuttond.init

* Tue Oct 03 2006 Parag Nemade <panemade@gmail.com>- 0.2.3-2
- Initial Release
